import React from 'react';
import styled from '@emotion/styled';

import { size, rem } from 'polished';
import { Colors } from '../../assets/styles/colors';

const VoteSvg = styled.svg`
  fill: ${props => (props.hasVoted ? Colors.PureWhite : props => props.color)};
  ${size(rem('48px'), rem('48px'))};
  transform: rotate(${props => props.orientation});
`;

const VoteIconPath = styled.path``;

export const VoteIcon = ({ color, position, orientation, hasVoted }) => {
  return (
    <VoteSvg
      color={color}
      hasVoted={hasVoted}
      orientation={orientation}
      viewBox="-10 -10 56 56"
    >
      <VoteIconPath d="M 29.832031 17.886719 C 30.460938 16.9375 30.773438 15.894531 30.773438 14.753906 C 30.773438 13.433594 30.289062 12.285156 29.3125 11.308594 C 28.339844 10.335938 27.183594 9.847656 25.851562 9.847656 L 22.464844 9.847656 C 23.082031 8.578125 23.390625 7.347656 23.390625 6.15625 C 23.390625 4.65625 23.164062 3.460938 22.714844 2.578125 C 22.265625 1.691406 21.613281 1.042969 20.753906 0.625 C 19.894531 0.207031 18.925781 0 17.851562 0 C 17.195312 0 16.617188 0.238281 16.117188 0.710938 C 15.566406 1.25 15.167969 1.941406 14.925781 2.789062 C 14.683594 3.636719 14.488281 4.445312 14.339844 5.222656 C 14.191406 6 13.964844 6.546875 13.65625 6.867188 C 13.027344 7.546875 12.34375 8.367188 11.597656 9.328125 C 10.304688 11.007812 9.425781 12.003906 8.964844 12.308594 L 3.695312 12.308594 C 3.015625 12.308594 2.433594 12.550781 1.953125 13.03125 C 1.472656 13.511719 1.230469 14.09375 1.230469 14.773438 L 1.230469 27.082031 C 1.230469 27.761719 1.472656 28.34375 1.953125 28.824219 C 2.433594 29.304688 3.015625 29.542969 3.695312 29.542969 L 9.234375 29.542969 C 9.515625 29.542969 10.398438 29.800781 11.886719 30.3125 C 13.464844 30.867188 14.851562 31.285156 16.050781 31.574219 C 17.25 31.863281 18.464844 32.007812 19.695312 32.007812 L 22.175781 32.007812 C 23.984375 32.007812 25.441406 31.488281 26.542969 30.457031 C 27.644531 29.425781 28.191406 28.019531 28.179688 26.234375 C 28.949219 25.25 29.332031 24.105469 29.332031 22.8125 C 29.332031 22.53125 29.3125 22.253906 29.273438 21.984375 C 29.761719 21.125 30.007812 20.203125 30.007812 19.214844 C 30.003906 18.753906 29.949219 18.3125 29.832031 17.886719 Z M 5.789062 26.71875 C 5.546875 26.960938 5.257812 27.082031 4.925781 27.082031 C 4.589844 27.082031 4.304688 26.960938 4.058594 26.71875 C 3.816406 26.472656 3.695312 26.183594 3.695312 25.851562 C 3.695312 25.519531 3.816406 25.230469 4.058594 24.984375 C 4.304688 24.742188 4.589844 24.621094 4.925781 24.621094 C 5.257812 24.621094 5.546875 24.742188 5.789062 24.984375 C 6.035156 25.230469 6.15625 25.519531 6.15625 25.851562 C 6.15625 26.183594 6.035156 26.472656 5.789062 26.71875 Z M 27.898438 16.332031 C 27.625 16.921875 27.28125 17.222656 26.871094 17.234375 C 27.0625 17.453125 27.222656 17.757812 27.351562 18.148438 C 27.480469 18.539062 27.542969 18.894531 27.542969 19.214844 C 27.542969 20.101562 27.203125 20.863281 26.523438 21.503906 C 26.757812 21.914062 26.871094 22.359375 26.871094 22.832031 C 26.871094 23.304688 26.757812 23.777344 26.535156 24.246094 C 26.308594 24.714844 26.003906 25.050781 25.621094 25.253906 C 25.683594 25.640625 25.71875 26 25.71875 26.332031 C 25.71875 28.472656 24.484375 29.542969 22.023438 29.542969 L 19.695312 29.542969 C 18.015625 29.542969 15.824219 29.074219 13.117188 28.140625 C 13.054688 28.113281 12.867188 28.046875 12.5625 27.9375 C 12.253906 27.828125 12.027344 27.75 11.878906 27.699219 C 11.730469 27.644531 11.507812 27.574219 11.203125 27.476562 C 10.902344 27.378906 10.660156 27.308594 10.472656 27.265625 C 10.289062 27.21875 10.078125 27.179688 9.839844 27.140625 C 9.601562 27.101562 9.398438 27.082031 9.234375 27.082031 L 8.617188 27.082031 L 8.617188 14.773438 L 9.234375 14.773438 C 9.4375 14.773438 9.667969 14.714844 9.917969 14.601562 C 10.167969 14.484375 10.421875 14.3125 10.6875 14.082031 C 10.949219 13.847656 11.195312 13.621094 11.425781 13.398438 C 11.65625 13.171875 11.914062 12.890625 12.195312 12.550781 C 12.476562 12.210938 12.699219 11.9375 12.859375 11.734375 C 13.019531 11.527344 13.222656 11.265625 13.464844 10.945312 C 13.707031 10.625 13.855469 10.433594 13.90625 10.367188 C 14.613281 9.496094 15.105469 8.914062 15.386719 8.617188 C 15.914062 8.066406 16.296875 7.363281 16.53125 6.511719 C 16.769531 5.660156 16.964844 4.855469 17.117188 4.097656 C 17.273438 3.339844 17.515625 2.796875 17.851562 2.460938 C 19.082031 2.460938 19.902344 2.765625 20.3125 3.367188 C 20.722656 3.96875 20.925781 4.898438 20.925781 6.15625 C 20.925781 6.914062 20.621094 7.941406 20.003906 9.242188 C 19.386719 10.542969 19.082031 11.566406 19.082031 12.3125 L 25.851562 12.3125 C 26.492188 12.3125 27.0625 12.558594 27.5625 13.050781 C 28.0625 13.542969 28.3125 14.117188 28.3125 14.773438 C 28.3125 15.222656 28.175781 15.742188 27.898438 16.332031 Z M 27.898438 16.332031 " />
    </VoteSvg>
  );
};
